ossl_config.h File Reference

Go to the source code of this file.

## Functions

CONF * | GetConfigPtr (VALUE obj)
CONF * | DupConfigPtr (VALUE obj)
void | Init_ossl_config (void)

## Variables

VALUE | cConfig
VALUE | eConfigError

## Function Documentation

CONF* DupConfigPtr | ( | VALUE | obj | ) |

CONF* GetConfigPtr | ( | VALUE | obj | ) |

Definition at line 31 of file ossl_config.c.

References cConfig, eConfigError, NULL, OSSL_Check_Kind, ossl_obj2bio(), ossl_raise(), rb_funcall(), and rb_intern.

Referenced by ossl_x509extfactory_create_ext().

void Init_ossl_config | ( | void |  | ) |

Definition at line 63 of file ossl_config.c.

References cConfig, CONF_get1_default_config_file(), eConfigError, eOSSLError, mOSSL, rb_cObject, rb_define_class_under(), rb_define_const(), and rb_str_new2().

Referenced by Init_openssl().

## Variable Documentation

VALUE cConfig

Definition at line 17 of file ossl_config.c.

Referenced by GetConfigPtr(), and Init_ossl_config().

VALUE eConfigError

Definition at line 18 of file ossl_config.c.

Referenced by GetConfigPtr(), and Init_ossl_config().